---
title: TypedArray.BYTES_PER_ELEMENT
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/BYTES_PER_ELEMENT
tags:
  - JavaScript
  - Property
  - TypedArray
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <code><strong>TypedArray.BYTES_PER_ELEMENT</strong></code> property represents the size in bytes of each element in an typed array.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-bytes-per-element.html","shorter")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0,0,0)}}</div>

<h2 id="Description">Description</h2>

<p><code>TypedArray</code> objects differ from each other in the number of bytes per element and in the way the bytes are interpreted. The <code>BYTES_PER_ELEMENT</code> constant contains the number of bytes each element in the given <code>TypedArray</code> has.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_BYTES_PER_ELEMENT">Using BYTES_PER_ELEMENT</h3>

<pre class="brush:js">Int8Array.BYTES_PER_ELEMENT;         // 1
Uint8Array.BYTES_PER_ELEMENT;        // 1
Uint8ClampedArray.BYTES_PER_ELEMENT; // 1
Int16Array.BYTES_PER_ELEMENT;        // 2
Uint16Array.BYTES_PER_ELEMENT;       // 2
Int32Array.BYTES_PER_ELEMENT;        // 4
Uint32Array.BYTES_PER_ELEMENT;       // 4
Float32Array.BYTES_PER_ELEMENT;      // 4
Float64Array.BYTES_PER_ELEMENT;      // 8</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-typedarray.bytes_per_element', 'TypedArray.BYTES_PER_ELEMENT')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.TypedArray.BYTES_PER_ELEMENT")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Typed_arrays">JavaScript typed arrays</a></li>
 <li>{{jsxref("TypedArray")}}</li>
</ul>
